%define         configfilename        sample.wmcalc

Name:           wmcalc
Version:        0.4
Release:        %mkrel 4
Summary:        A dock application that is a simple four function calculator
License:        GPLv2
Group:          Monitoring

URL:            http://dockapps.windowmaker.org/file.php/id/130
Source0:        http://distfiles.gentoo.org/distfiles/%{name}-%{version}.tar.gz
#Change old X11R6 include path in Makefile
Patch0:         wmcalc-0.3-include.patch

BuildRequires:  glibc-devel
BuildRequires:  libxpm-devel
BuildRequires:  libx11-devel 
BuildRequires:  libxext-devel


%description
wmcalc is a program designed to act as a simple four-function
calculator. It is different from other calculator programs in that it
is designed to take up very little desktop space. As such, it can be
left running on the desktop at all times.  It is intended to placed in
the WindowMaker dock but will nicely work with any window manager and
desktop environment that handles dock applications. Various options
can be changed in an easy-to-understand configuration file ".wmcalc",
assumed to reside in your home directory, an example of which being
provided in %{_datadir}/%{name}/%{configfilename}.



%prep
%setup -q 
%patch0 -p0 -b .old

%build
%make FLAGS="%optflags" LIBINC="%ldflags"


%install
rm -rf %{buildroot}
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 644 .wmcalc %{buildroot}%{_datadir}/%{name}/%configfilename
install -D -m 644 .wmcalc %{buildroot}%{_sysconfdir}/wmcalc.conf
install -D -m 644 *.xpm %{buildroot}%{_datadir}/%{name}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/wmcalc.conf
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{configfilename}
%{_datadir}/%{name}/*.xpm




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.4-4.mga4
+ Revision: 520148
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.4-3.mga3
+ Revision: 385722
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 eatdirt <eatdirt> 0.4-2.mga3
+ Revision: 314555
- Rebuild for mga3

* Mon Dec 05 2011 eatdirt <eatdirt> 0.4-1.mga2
+ Revision: 176862
- Upgrade to 0.4

* Fri Nov 11 2011 eatdirt <eatdirt> 0.3-1.mga2
+ Revision: 166617
- imported package wmcalc


* Sun Nov 06 2011 Chris Ringeval <dirteat@gmail.com> 0.3-1.mga2
- import wmcalc
